From c5488589145a47e54937cd0e1d6f8830a62e65ad Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 17 Nov 2008 17:55:58 -0500
Subject: [PATCH] Move the check in 64 bit specific conditional.

Signed-off-by: root <Kedar Sovani kedars@marvell.com>
---
 binutils.spec |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/binutils.spec b/binutils.spec
index 494a615..255f71a 100644
--- a/binutils.spec
+++ b/binutils.spec
@@ -17,7 +17,7 @@
 Summary: A GNU collection of binary utilities
 Name: %{?cross}binutils%{?_with_debug:-debug}
 Version: 2.18.50.0.9
-Release: 7%{?dist}
+Release: 7%{?dist}.fa1
 License: GPLv3+
 Group: Development/Tools
 URL: http://sources.redhat.com/binutils
@@ -221,8 +221,10 @@ rm -f %{buildroot}%{_prefix}/%{_lib}/lib{bfd,opcodes}.so
 # Remove libtool files, which reference the .so libs
 rm -f %{buildroot}%{_prefix}/%{_lib}/lib{bfd,opcodes}.la
 
+%if "%{__isa_bits}" == "64"
 # Sanity check --enable-64-bit-bfd really works.
 grep '^#define BFD_ARCH_SIZE 64$' %{buildroot}%{_prefix}/include/bfd.h
+%endif
 # Fix multilib conflicts of generated values by __WORDSIZE-based expressions.
 %ifarch %{ix86} x86_64 ppc ppc64 s390 s390x sparc sparc64
 sed -i -e '/^#include "ansidecl.h"/{p;s~^.*$~#include <bits/wordsize.h>~;}' \
@@ -349,6 +351,9 @@ fi
 %endif # %{isnative}
 
 %changelog
+* Tue Nov 19 2008 Kedar Sovani <kedars@marvell.com> 2.18.50.0.9-7.fa1
+- Move the check for BFD_ARCH_SIZE IN 64-bit specific conditional
+
 * Thu Oct 30 2008 Jan Kratochvil <jan.kratochvil@redhat.com> 2.18.50.0.9-7
 - Fix %%{_prefix}/include/bfd.h on 32-bit hosts due the 64-bit BFD target
   support from 2.18.50.0.8-2 (BZ 468495).
-- 
1.5.3.3

